org.richfaces.fragment.dataTable

## Class AbstractTable<HEADER,ROW,FOOTER>

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable<HEADER,ROW,FOOTER>

- Type Parameters:
    `HEADER` -
    `ROW` -
    `FOOTER` -
  All Implemented Interfaces:
    AdvancedInteractions<AbstractTable.AdvancedTableInteractions>, DataTable<HEADER,ROW,FOOTER>
  Direct Known Subclasses:
    RichFacesCollapsibleSubTable, RichFacesDataTable, RichFacesExtendedDataTable

      public abstract class AbstractTable<HEADER,ROW,FOOTER>
      extends Object
      implements DataTable<HEADER,ROW,FOOTER>, AdvancedInteractions<AbstractTable.AdvancedTableInteractions>

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractTable.AdvancedTableInteractions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.openqa.selenium.WebDriver` | `browser`
    `protected org.openqa.selenium.WebElement` | `root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTable()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractTable.AdvancedTableInteractions` | `advanced()`
    `List<ROW>` | `getAllRows()` Returns a list of `ROW` page fragments.
    `ROW` | `getFirstRow()` Returns the first `ROW` page fragment.
    `FOOTER` | `getFooter()` Returns a `FOOTER` page fragment of this table.
    `HEADER` | `getHeader()` Returns a `HEADER` page fragment of this table.
    `ROW` | `getLastRow()` Returns the last `ROW` page fragment.
    `ROW` | `getRow(int n)` Returns a `ROW` page fragment with index `n`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### root

          protected org.openqa.selenium.WebElement root

    - #### browser

          protected org.openqa.selenium.WebDriver browser

  - ### Constructor Detail

    - #### AbstractTable

          public AbstractTable()

  - ### Method Detail

    - #### getRow

          public ROW getRow(int n)

      Description copied from interface: `DataTable`
      Returns a `ROW` page fragment with index `n`. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `getRow` in interface `DataTable<HEADER,ROW,FOOTER>`
      Parameters:
        `n` - zero based index of the row to be returned
      Returns:

    - #### getFirstRow

          public ROW getFirstRow()

      Description copied from interface: `DataTable`
      Returns the first `ROW` page fragment. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `getFirstRow` in interface `DataTable<HEADER,ROW,FOOTER>`
      Returns:

    - #### getLastRow

          public ROW getLastRow()

      Description copied from interface: `DataTable`
      Returns the last `ROW` page fragment. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `getLastRow` in interface `DataTable<HEADER,ROW,FOOTER>`
      Returns:

    - #### getAllRows

          public List<ROW> getAllRows()

      Description copied from interface: `DataTable`
      Returns a list of `ROW` page fragments. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `getAllRows` in interface `DataTable<HEADER,ROW,FOOTER>`
      Returns:

    - #### getHeader

          public HEADER getHeader()

      Description copied from interface: `DataTable`
      Returns a `HEADER` page fragment of this table.
      Specified by:
        `getHeader` in interface `DataTable<HEADER,ROW,FOOTER>`
      Returns:

    - #### getFooter

          public FOOTER getFooter()

      Description copied from interface: `DataTable`
      Returns a `FOOTER` page fragment of this table.
      Specified by:
        `getFooter` in interface `DataTable<HEADER,ROW,FOOTER>`
      Returns:

    - #### advanced

          public abstract AbstractTable.AdvancedTableInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractTable.AdvancedTableInteractions>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.